#ifndef DPROCESS
#define DPROCESS

#include "DEFS.h"
#include "PATH.h"
#include "PROB.h"

typedef struct process {
int ProcessID;
int Symmetry;
int Dimension;
ProbFunc *Probability;
REAL *Variance;
int *CouplingsMap;
REAL **RateCouplings;
} PROCESS;


PROCESS *SetProcessParams( int, int, PATH *,  char *);
int GetCurrentRateCouplings(PROCESS *, PATH *, int, REAL * );
int *GetCouplingsMap(PROCESS *, int);
REAL **GetAllRateCouplings(PROCESS * );
REAL GetVariance( PROCESS *, PATH *);
REAL *GetVariances( PROCESS *, int);
void PROCESS_Free(PROCESS *, int);
int ProcessSymmetry(PROCESS *, int);
ProbFunc *GetProbabilityFunction(PROCESS *);

#endif
